package eta_business

import "hongze/hz_crm_api/models/eta_business"

// GetMenuTreeRecursive 递归菜单树
func GetMenuTreeRecursive(list []*eta_business.EtaBusinessMenuItem, parentId int) []*eta_business.EtaBusinessMenuItem {
	res := make([]*eta_business.EtaBusinessMenuItem, 0)
	for _, v := range list {
		if v.ParentId == parentId {
			v.Children = GetMenuTreeRecursive(list, v.MenuId)
			res = append(res, v)
		}
	}
	return res
}
